Articles

Installazione di GNOME

Vedi il progetto su GitHub
Installare Arch Linux su Lenovo IdeaPad G50-70 con UEFI e Secure Boot (parte 15 - Installazione di GNOME)


Dopo l’installazione del sistema grafico minimale possiamo pensare all’installazione di un ambiente grafico più moderno, completo e aggiornato come GNOME.

Installazione di GNOME minimale

Il pacchetto minimale per l’uso di GNOME è gnome-shell che include solo la shell di GNOME, le librerie di base e nulla di più.

[root@arch-lenovo ~]# pacman -S gnome-shell
risoluzione delle dipendenze in corso...
ricerca dei pacchetti in conflitto in corso...

Pacchetti (129) accountsservice-0.6.40-1  adwaita-icon-theme-3.16.2.1-1  alsa-lib-1.0.29-1  alsa-plugins-1.0.29-2
                at-spi2-atk-2.16.0-1  at-spi2-core-2.16.0-1  atk-2.16.0-1  avahi-0.6.31-16  bluez-5.32-1
                cairo-1.14.2-1  cantarell-fonts-0.0.16-2  caribou-0.4.18.1-1  clutter-1.22.4-1  cogl-1.20.0-1
                colord-1.2.9-3  compositeproto-0.4.2-3  dbus-glib-0.104-1  dconf-0.24.0-1
                desktop-file-utils-0.22-1  dhclient-4.3.2-2  flac-1.3.1-1  gcr-3.16.0-1  gdk-pixbuf2-2.31.4-1
                geoclue2-2.2.0-3  geocode-glib-3.16.2-1  gjs-1.43.3-1  glib-networking-2.44.0-3
                gnome-bluetooth-3.16.1-1  gnome-desktop-1:3.16.2-1  gnome-menus-3.13.3-1  gnome-session-3.16.0-1
                gnome-settings-daemon-3.16.2-2  gnome-themes-standard-3.16.2-1
                gobject-introspection-runtime-1.44.0-1  gpm-1.20.7-4  gsettings-desktop-schemas-3.16.1-1
                gstreamer-1.4.5-1  gtk-update-icon-cache-3.16.5-2  gtk3-3.16.5-2  hicolor-icon-theme-0.13-1
                iso-codes-3.57-1  jansson-2.7-1  jasper-1.900.1-13  js-24.2.0-1  js17-17.0.0-1  json-c-0.12-2
                json-glib-1.0.2-1  lcms2-2.7-1  libasyncns-0.8-5  libcanberra-0.30-5  libcanberra-pulse-0.30-5
                libcroco-0.6.8-2  libcups-2.0.3-1  libdaemon-0.14-3  libdatrie-0.2.8-1  libgdm-3.16.2-1
                libgee-0.18.0-1  libgnome-keyring-3.12.0-2  libgudev-230-1  libgusb-0.2.4-1  libgweather-3.16.1-1
                libical-1.0.1-2  libimobiledevice-1.2.0-1  libinput-0.20.0-1  libjpeg-turbo-1.4.1-1
                libmm-glib-1.4.10-2  libndp-1.5-1  libnewt-0.52.18-2  libnm-glib-1.0.4-1  libnotify-0.7.6-1
                libogg-1.3.2-1  libplist-1.12-2  libproxy-0.4.11-6  libpulse-6.0-2  librsvg-1:2.40.9-2
                libsecret-0.18.2-1  libsndfile-1.0.25-3  libsoup-2.50.0-1  libteam-1.14-2  libthai-0.1.21-1
                libtiff-4.0.4-1  libtool-2.4.6-2  libusbmuxd-1.0.10-1  libvorbis-1.3.5-1  libwacom-0.13-1
                libxcomposite-0.4.4-2  libxcursor-1.1.14-2  libxinerama-1.1.3-2  libxkbcommon-0.5.0-1
                libxkbcommon-x11-0.5.0-1  libxklavier-5.4-1  libxml2-2.9.2-2  libxrandr-1.5.0-1
                mobile-broadband-provider-info-20120614-2  mutter-3.16.3-1  networkmanager-1.0.4-1
                nm-connection-editor-1.0.4-1  nspr-4.10.8-1  nss-3.19.2-2  orc-0.4.23-1  pango-1.36.8-1
                polkit-0.112-4  pulseaudio-6.0-2  pulseaudio-alsa-2-3  pygobject-devel-3.16.2-1  python2-2.7.10-1
                python2-atspi-2.16.0-1  python2-gobject-3.16.2-1  randrproto-1.5.0-1  rest-0.7.93-1  rtkit-0.11-5
                sbc-1.3-1  shared-mime-info-1.4-1  slang-2.3.0-1  sound-theme-freedesktop-0.8-2  speexdsp-1.2rc3-2
                sqlite-3.8.10.2-1  startup-notification-0.12-4  tdb-1.3.6-1  telepathy-glib-0.24.1-1
                telepathy-logger-0.8.2-1  telepathy-mission-control-5.16.3-1  ttf-dejavu-2.34-2  unzip-6.0-10
                upower-0.99.3-1  webrtc-audio-processing-0.1-2  xineramaproto-1.2.1-3  zenity-3.16.3-1
                gnome-shell-3.16.3-1

Dimensione totale dei pacchetti da scaricare:    82,13 MiB
Dimensione totale dei pacchetti da installare:  484,27 MiB

:: Vuoi procedere con l'installazione? [S/n] 
:: Download dei pacchetti in corso...
 nspr-4.10.8-1-x86_64               186,5 KiB  14,0M/s 00:00 [####################################] 100%
 sqlite-3.8.10.2-1-x86_64           650,4 KiB  11,3M/s 00:00 [####################################] 100%
 libtool-2.4.6-2-x86_64             396,0 KiB  11,7M/s 00:00 [####################################] 100%
  ...
(129/129) verifica delle chiavi presenti nel portachiavi     [####################################] 100%
(129/129) verifica dell'integrità dei pacchetti              [####################################] 100%
(129/129) caricamento dei file dei pacchetti                 [####################################] 100%
(129/129) controllo dei conflitti in corso                   [####################################] 100%
(129/129) controllo dello spazio disponibile sul disco       [####################################] 100%
(  1/129) installazione in corso di nspr                     [####################################] 100%
(  2/129) installazione in corso di js17                     [####################################] 100%
  ...
(129/129) installazione in corso di gnome-shell              [####################################] 100%
Dipendenze opzionali di gnome-shell
    gnome-control-center: System settings
    evolution-data-server: Evolution calendar integration

Avvio di GNOME

Per poter avviare GNOME appena installato è necessario informare Xorg che si vuole richiamare una sessione di GNOME anziché le finestre di terminale viste in precedenza.

Il comando startx finora usato per avviare Xorg, leggerà il file .xinitrc presente nella home dell’utente che lancia il comando e in sua assenza richiamerà il file /etc/X11/xinit/xinitrc (è questo file che contiene l’avvio dei tre terminali, dell’orologio e di Twm visti in precedenza).

Basterà pertanto creare un nuovo file di nome .xinitrc all’interno della propria home e startx lo leggerà prima di mostrare l’ambiente grafico.

[root@arch-lenovo ~]# echo exec gnome-session > $HOME/.xinitrc

Fatto ciò, avviando Xorg tramite il comando startx sarà avviata una sessione minimale di GNOME.

In questo ambiente minimale manca praticamente quasi tutto quanto appartenga a GNOME: le sue applicazioni, gli sfondi e persino il pannello delle impostazioni.

Per chiudere la sessione di GNOME basterà cliccare sul gruppo di icone in alto a destra e dall’elenco scegliere il proprio nome utente (quindi root), quindi cliccare su Termina sessione.

Quando richiesto confermare la chiusura della sessione cliccando sul pulsante Termina sessione.

Installazione del centro di controllo di GNOME

Al sistema minimale appena installato aggiungeremo il centro di controllo di GNOME, che consente di configurare varie preferenze e servizi. Il centro di controllo è contenuto nel pacchetto gnome-control-center.

[root@arch-lenovo ~]# pacman -S gnome-control-center
risoluzione delle dipendenze in corso...
:: Ci sono 2 provider disponibili per libx264.so=148-64:
:: Repository extra
   1) libx264  2) libx264-10bit

Digita un numero (default=1): 
ricerca dei pacchetti in conflitto in corso...

Pacchetti (112) aalib-1.4rc5-10  aspell-0.60.6.1-2  cdparanoia-10.2-5  celt-0.11.3-2  cheese-3.16.1-2
                chromaprint-1.1-2  cifs-utils-6.4-1  clutter-gst2-2.0.16-1  clutter-gtk-1.6.2-1
                colord-gtk-0.1.26-2  cups-pk-helper-0.2.5-1  enca-1.16-1  enchant-1.6.0-5  exiv2-0.24-1
                faac-1.28-5  faad2-2.7-4  ffmpeg-1:2.7.1-3  fftw-3.3.4-1  fluidsynth-1.1.6-4  fribidi-0.19.6-2
                glu-9.0.0-3  gmime-2.6.20-2  gnome-color-manager-3.16.0-1  gnome-online-accounts-3.16.3-1
                gnome-video-effects-0.4.1-1  grilo-0.2.12-1  gsm-1.0.13-8  gst-plugins-bad-1.4.5-4
                gst-plugins-base-1.4.5-1  gst-plugins-base-libs-1.4.5-1  gst-plugins-good-1.4.5-3
                harfbuzz-icu-0.9.41-1  hspell-1.2-2  hunspell-1.3.3-1  icu-55.1-1  jack-0.124.1-3  lame-3.99.5-2
                ldb-1.1.20-1  libass-0.12.3-1  libavc1394-0.5.4-2  libbluray-0.8.1-1  libbsd-0.7.0-1
                libcaca-0.99.beta18-2  libcap-ng-0.7.4-1  libdca-0.0.5-4  libdv-1.0.0-6  libdvdnav-5.0.2-1
                libdvdread-5.0.1-1  libexif-0.6.21-2  libgme-0.6.0-3  libgnomekbd-3.6.0-2  libgtop-2.30.0-1
                libibus-1.5.11-1  libiec61883-1.2.0-4  libmms-0.6.4-1  libmodplug-0.8.8.5-1  libmp4v2-2.0.0-3
                liboauth-1.0.3-1  libofa-0.9.3-5  libpwquality-1.2.3-1  libquvi-0.9.4-4
                libquvi-scripts-0.9.20131130-3  libraw1394-2.1.1-1  libsamplerate-0.1.8-3  libshout-1:2.3.1-2
                libsrtp-15.1c9bd90-3  libssh-0.7.1-1  libtheora-1.1.1-3  libva-1.6.0-1  libvdpau-1.1-1
                libvisual-0.4.0-6  libvpx-1.4.0-2  libwbclient-4.2.3-1  libwebp-0.4.3-1  libx264-2:148.20150717-1
                libxslt-1.1.28-3  lua52-5.2.4-1  lua52-bitop-1.0.2-7  lua52-expat-1.3.0-3  lua52-lpeg-0.12.2-2
                lua52-luajson-1.3.3-2  lua52-socket-3.0rc1-7  mjpegtools-2.1.0-1  mpg123-1.22.1-1  neon-0.30.1-1
                opencore-amr-0.1.3-2  openjpeg-1.5.2-1  opus-1.1-1  recode-3.6-8  rtmpdump-20140918-2
                schroedinger-1.0.11-2  sdl-1.2.15-7  shared-color-targets-0.1.5-1  smbclient-4.2.3-1
                soundtouch-1.9.0-1  spandsp-0.0.6-1  speex-1.2rc2-1  taglib-1.9.1-1  talloc-2.1.2-1
                tevent-0.9.25-1  totem-plparser-3.10.4-1  v4l-utils-1.6.3-1  vte-common-0.40.2-1  vte3-0.40.2-1
                wavpack-4.75.0-1  webkit2gtk-2.8.4-1  wildmidi-0.3.8-1  x265-1.7-2  xvidcore-1.3.4-1
                zita-alsa-pcmi-0.2.0-2  zita-resampler-1.3.0-3  gnome-control-center-3.16.2-2

Dimensione totale dei pacchetti da scaricare:    72,51 MiB
Dimensione totale dei pacchetti da installare:  315,28 MiB

:: Vuoi procedere con l'installazione? [S/n] 
:: Download dei pacchetti in corso...
 cups-pk-helper-0.2.5-1-x86_64       48,0 KiB   197K/s 00:00 [####################################] 100%
 libxslt-1.1.28-3-x86_64            352,2 KiB  11,5M/s 00:00 [####################################] 100%
      ...
(112/112) verifica delle chiavi presenti nel portachiavi     [####################################] 100%
(112/112) verifica dell'integrità dei pacchetti              [####################################] 100%
(112/112) caricamento dei file dei pacchetti                 [####################################] 100%
(112/112) controllo dei conflitti in corso                   [####################################] 100%
(112/112) controllo dello spazio disponibile sul disco       [####################################] 100%
(  1/112) installazione in corso di cups-pk-helper           [####################################] 100%
      ...
(112/112) installazione in corso di gnome-control-center     [####################################] 100%
Dipendenze opzionali di gnome-control-center
    system-config-printer: Printer settings
    gnome-user-share: Bluetooth and WebDAV file sharing
    rygel: media sharing
    vino: screen sharing
    openssh: remote login [installato]

Riavviando GNOME e cliccando sull’icona delle impostazioni di GNOME sarà quindi possibile visualizzare il centro di controllo.

Tramite il centro di controllo sarà possibile configurare numerose preferenze come lo sfondo della scrivania e tanto altro ancora.

Provando ad impostare lo sfondo della scrivania si potrà notare che sarà possibile cambiare colore di sfondo ma non saranno disponibili sfondi preinstallati tra cui scegliere, oltre un paio di colori. Questo è dovuto al fatto che l’installazione finora effettuata è minimale e non include tutti i pacchetti di base di GNOME.

Installazione dei pacchetti di base di GNOME

Per installare le applicazioni predefinite di GNOME è necessario installare il gruppo di pacchetti gnome che include sia librerie sia applicazioni.

[root@arch-lenovo ~]# pacman -S gnome
:: Ci sono 39 membri nel gruppo gnome:

:: Repository extra
   1) adwaita-icon-theme  2) baobab  3) dconf-editor  4) empathy  5) eog  6) epiphany  7) evince  8) gdm
   9) gnome-backgrounds  10) gnome-calculator  11) gnome-contacts  12) gnome-control-center  13) gnome-desktop
   14) gnome-dictionary  15) gnome-disk-utility  16) gnome-font-viewer  17) gnome-keyring  18) gnome-screenshot
   19) gnome-session  20) gnome-settings-daemon  21) gnome-shell  22) gnome-shell-extensions  23) gnome-system-log
   24) gnome-system-monitor  25) gnome-terminal  26) gnome-themes-standard  27) gnome-user-docs
   28) gnome-user-share  29) grilo-plugins  30) gucharmap  31) mousetweaks  32) mutter  33) nautilus  34) sushi
   35) totem  36) tracker  37) vino  38) xdg-user-dirs-gtk  39) yelp

Digita una selezione (default=tutto): 

Il gruppo di pacchetti gnome porterà l’installazione di un gran numero di pacchetti extra, alcuni certamente opzionali e non vitali per il corretto funzionamento di GNOME, come gnome-user-share che a sua volta dipende dal web server Apache, inutile per la quasi totalità di installazioni di desktop.

Pertanto durante l’installazione del gruppo di pacchetti gnome sarà possibile scegliere di installare soltanto i pacchetti davvero desiderati. In questo caso sarà installato tutto il gruppo di base, inclusi i pacchetti non davvero necessari.

attenzione: adwaita-icon-theme-3.16.2.1-1 è aggiornato ma sarà reinstallato
attenzione: gnome-control-center-3.16.2-2 è aggiornato ma sarà reinstallato
attenzione: gnome-desktop-1:3.16.2-1 è aggiornato ma sarà reinstallato
attenzione: gnome-session-3.16.0-1 è aggiornato ma sarà reinstallato
attenzione: gnome-settings-daemon-3.16.2-2 è aggiornato ma sarà reinstallato
attenzione: gnome-shell-3.16.3-1 è aggiornato ma sarà reinstallato
attenzione: gnome-themes-standard-3.16.2-1 è aggiornato ma sarà reinstallato
attenzione: mutter-3.16.3-1 è aggiornato ma sarà reinstallato
risoluzione delle dipendenze in corso...
ricerca dei pacchetti in conflitto in corso...

Pacchetti (103) apache-2.4.16-1  apr-1.5.2-1  apr-util-1.5.4-1  atkmm-2.22.7-1  cairomm-1.10.0-3
                clutter-gst-3.0.8-1  djvulibre-3.5.27-1  evolution-data-server-3.16.4-2  exempi-2.2.2-1
                farstream-0.2.7-1  folks-0.11.1-1  fuse-2.9.4-1  ghostscript-9.16-1  glibmm-2.44.0-1  gom-0.3.0-1
                gsfonts-20150122-1  gtkmm3-3.16.0-1  gtksourceview3-3.16.1-1  gvfs-1.24.1-2  libatasmart-0.19-3
                libcddb-1.3.2-4  libcdio-0.93-1  libcdio-paranoia-10.2+0.93+1-1  libchamplain-0.12.10-1
                libcue-1.4.0-4  libdmapsharing-2.9.30-1  libgdata-0.17.1-1  libgsf-1.14.33-1  libgxps-0.2.2-3
                libiptcdata-1.0.4-3  libmediaart-1.9.0-1  libmusicbrainz5-5.1.0-1  libnautilus-extension-3.16.2-1
                libnice-0.1.10-1  libosinfo-0.2.12-1  libpaper-1.1.24-8  libpeas-1.14.0-1  libsigc++-2.4.1-1
                libspectre-0.2.7-2  libtracker-sparql-1.4.0-2  libwnck3-3.14.0-1  libxres-1.0.7-1  lua-5.3.1-1
                mcpp-2.7.2-5  mod_dnssd-0.6-6  nautilus-sendto-3.8.2-1  pangomm-2.36.0-1  parted-3.2-2
                poppler-0.33.0-1  poppler-glib-0.33.0-1  python-3.4.3-2  python-gobject-3.16.2-1
                python-xdg-0.25-2  t1lib-5.1.2-5  telepathy-farstream-0.6.2-2  udisks2-2.1.6-1  webkitgtk-2.4.9-1
                xapian-core-1:1.2.21-1  xdg-user-dirs-0.15-1  xorg-server-xwayland-1.17.2-4  xorg-xhost-1.0.7-1
                xorg-xrdb-1.1.0-1  yelp-xsl-3.16.1-1  zeitgeist-0.9.15-2  adwaita-icon-theme-3.16.2.1-1
                baobab-3.16.1-1  dconf-editor-3.16.1-2  empathy-3.12.10-2  eog-3.16.2-1  epiphany-3.16.3-1
                evince-3.16.1-1  gdm-3.16.2-1  gnome-backgrounds-3.16.0-1  gnome-calculator-3.16.2-1
                gnome-contacts-3.16.2-1  gnome-control-center-3.16.2-2  gnome-desktop-1:3.16.2-1
                gnome-dictionary-3.16.2-1  gnome-disk-utility-3.16.2-1  gnome-font-viewer-3.16.2-1
                gnome-keyring-3.16.0-1  gnome-screenshot-3.16.2-1  gnome-session-3.16.0-1
                gnome-settings-daemon-3.16.2-2  gnome-shell-3.16.3-1  gnome-shell-extensions-3.16.2-1
                gnome-system-log-3.9.90-1  gnome-system-monitor-3.16.0-1  gnome-terminal-3.16.2-1
                gnome-themes-standard-3.16.2-1  gnome-user-docs-3.16.0-1  gnome-user-share-3.14.2-1
                grilo-plugins-0.2.14-5  gucharmap-3.16.2-1  mousetweaks-3.12.0-1  mutter-3.16.3-1
                nautilus-3.16.2-1  sushi-3.16.0-1  totem-3.16.2-1  tracker-1.4.0-2  vino-3.16.0-2
                xdg-user-dirs-gtk-0.10-2  yelp-3.16.1-1

Dimensione totale dei pacchetti da scaricare:   113,35 MiB
Dimensione totale dei pacchetti da installare:  598,00 MiB
Dimensione netta dell'aggiornamento:            514,08 MiB

:: Vuoi procedere con l'installazione? [S/n] 
:: Download dei pacchetti in corso...
 baobab-3.16.1-1-x86_64             284,5 KiB   149K/s 00:02 [####################################] 100%
 dconf-editor-3.16.1-2-x86_64       144,1 KiB   163K/s 00:01 [####################################] 100%
      ...
(103/103) verifica delle chiavi presenti nel portachiavi     [####################################] 100%
(103/103) verifica dell'integrità dei pacchetti              [####################################] 100%
(103/103) caricamento dei file dei pacchetti                 [####################################] 100%
(103/103) controllo dei conflitti in corso                   [####################################] 100%
(103/103) controllo dello spazio disponibile sul disco       [####################################] 100%
(  1/103) reinstallazione adwaita-icon-theme                 [####################################] 100%
      ...
(103/103) installazione in corso di xdg-user-dirs-gtk        [####################################] 100%

Avviando adesso GNOME sarà possibile vedere nell’elenco delle applicazioni tutte quelle predefinite dell’ambiente GNOME, inclusi gli sfondi della scrivania.

Installazione delle applicazioni aggiuntive di GNOME

Oltre le decine di applicazioni installate dal gruppo di pacchetti gnome è disponibile un altro gruppo di pacchetti aggiuntivi chiamato gnome-extra.

Tutti questi pacchetti sono opzionali e contengono giochi e applicazioni aggiuntive di GNOME la cui utilità dipende da ciascun utilizzatore.

[root@arch-lenovo ~]# pacman -S gnome-extra
:: Ci sono 53 membri nel gruppo gnome-extra:

:: Repository extra
   1) accerciser  2) aisleriot  3) anjuta  4) atomix  5) bijiben  6) brasero  7) cheese  8) devhelp  9) evolution
   10) file-roller  11) five-or-more  12) four-in-a-row  13) gedit  14) gedit-code-assistance  15) gitg
   16) gnome-builder  17) gnome-calendar  18) gnome-characters  19) gnome-chess  20) gnome-clocks
   21) gnome-code-assistance  22) gnome-color-manager  23) gnome-devel-docs  24) gnome-documents
   25) gnome-getting-started-docs  26) gnome-klotski  27) gnome-logs  28) gnome-mahjongg  29) gnome-maps
   30) gnome-mines  31) gnome-music  32) gnome-nettool  33) gnome-nibbles  34) gnome-photos  35) gnome-robots
   36) gnome-sound-recorder  37) gnome-sudoku  38) gnome-taquin  39) gnome-tetravex  40) gnome-tweak-tool
   41) gnome-weather  42) hitori  43) iagno  44) lightsoff  45) nautilus-sendto  46) orca  47) polari
   48) quadrapassel  49) rygel  50) seahorse  51) swell-foop  52) tali  53) vinagre

Digita una selezione (default=tutto):                                    
attenzione: cheese-3.16.1-2 è aggiornato ma sarà reinstallato
attenzione: gnome-color-manager-3.16.0-1 è aggiornato ma sarà reinstallato
attenzione: nautilus-sendto-3.8.2-1 è aggiornato ma sarà reinstallato
risoluzione delle dipendenze in corso...
ricerca dei pacchetti in conflitto in corso...

Pacchetti (135) autogen-5.18.4-1  babl-0.1.10-2  bind-tools-9.10.2.P2-1  binutils-2.25-5  bluez-libs-5.32-1
                brltty-5.2-3  cdrdao-1.2.3-7  cdrkit-1.1.11-3  celt0.5.1-0.5.1.3-3  clang-3.6.2-1  ctags-5.8-5
                cython-0.22.1-1  dleyna-connector-dbus-0.2.0-2  dleyna-core-0.5.0-1  dleyna-renderer-0.5.0-1
                dleyna-server-0.5.0-1  dotconf-1.3-4  dvd+rw-tools-7.1-6  freerdp-1:1.2.0_beta1+android9-1
                gc-7.4.2-2  gcc-5.1.0-5  gconf-3.2.6-3  gd-2.1.1-2  gdl-3.16.0-1  gegl-0.2.0-15  geoip-1.6.2-1
                geoip-database-20150602-1  gfbgraph-0.2.2-1  git-2.4.6-1  glade-3.18.3-1
                gnome-online-miners-3.14.3-1  goocanvas-2.0.2-1  graphviz-2.38.0-5  gsound-1.0.1-1
                gssdp-0.14.11-1  gtk-vnc-0.5.4-1  gtkspell3-3.0.7-1  gts-0.7.6-3  guile-2.0.11-2  gupnp-0.20.14-1
                gupnp-av-0.12.7-1  gupnp-dlna-0.10.2-1  idnkit-1.0-3  ipython-3.2.1-1  libanjuta-3.16.0-2
                libao-1.2.0-1  libatomic_ops-7.4.2-1  libcacard-2.3.0-3  libcryptui-3.12.2-1  libgda-5.2.4-1
                libgit2-1:0.22.2-1  libgit2-glib-0.22.6-1  libiscsi-1.13.0-1  liblouis-2.6.3-1  libmad-0.15.1b-7
                libmpc-1.0.3-1  libpcap-1.6.2-1  libpst-0.6.63-4  libspiro-1:0.3.20150131-1  libytnef-1.5-4
                libzapojit-0.0.3-2  perl-error-0.17024-1  python-atspi-2.16.0-1  python-cairo-1.10.0-5
                python-dbus-1.2.0-4  python-dbus-common-1.2.0-4  python-setuptools-1:18.0.1-1  qqwing-1.3.1-1
                serf-1.3.8-1  speech-dispatcher-0.8.3-4  spice-gtk3-0.29-1  subversion-1.8.13-2  tcl-8.6.4-1
                telepathy-idle-0.2.0-1  usbredir-0.7-1  vala-0.28.0-1  vde2-2.3.2-7  whois-5.2.7-1
                xdg-utils-1.1.0.git20150323-1  xorg-xmodmap-1.0.9-1  xorg-xset-1.2.3-1  zip-3.0-6
                accerciser-3.14.0-2  aisleriot-3.16.2-1  anjuta-3.16.0-2  atomix-3.16.0-1  bijiben-3.16.2-1
                brasero-3.12.0-1  cheese-3.16.1-2  devhelp-3.16.1-1  evolution-3.16.4-1  file-roller-3.16.3-1
                five-or-more-3.16.1-1  four-in-a-row-3.16.2-1  gedit-3.16.2-1  gedit-code-assistance-3.16.0-1
                gitg-3.16.1-1  gnome-builder-3.16.3-2  gnome-calendar-3.16.2-1  gnome-characters-3.16.2-1
                gnome-chess-3.16.2-1  gnome-clocks-3.16.1-1  gnome-code-assistance-3.16.0-1
                gnome-color-manager-3.16.0-1  gnome-devel-docs-3.16.2-1  gnome-documents-3.16.2-2
                gnome-getting-started-docs-3.16.2-1  gnome-klotski-3.16.1-1  gnome-logs-3.16.2-1
                gnome-mahjongg-3.16.1-1  gnome-maps-3.16.2-1  gnome-mines-3.16.1-1  gnome-music-3.16.1-2
                gnome-nettool-3.8.1-2  gnome-nibbles-3.16.1-1  gnome-photos-3.14.2-2  gnome-robots-3.16.1-1
                gnome-sound-recorder-3.16.0-1  gnome-sudoku-3.16.0-1  gnome-taquin-3.16.1-1
                gnome-tetravex-3.16.0-1  gnome-tweak-tool-3.16.2-1  gnome-weather-3.16.2-1  hitori-3.16.0-1
                iagno-3.16.1-1  lightsoff-3.16.1.1-1  nautilus-sendto-3.8.2-1  orca-3.16.2-1  polari-3.16.1-1
                quadrapassel-3.16.1-1  rygel-0.26.0-1  seahorse-3.16.0-1  swell-foop-3.16.1-1  tali-3.16.1-1
                vinagre-3.16.1-1

Dimensione totale dei pacchetti da scaricare:    311,80 MiB
Dimensione totale dei pacchetti da installare:  1070,25 MiB
Dimensione netta dell'aggiornamento:            1062,83 MiB

:: Vuoi procedere con l'installazione? [S/n] 
:: Download dei pacchetti in corso...
 binutils-2.25-5-x86_64               4,5 MiB  11,2M/s 00:00 [####################################] 100%
 libmpc-1.0.3-1-x86_64               62,8 KiB  15,3M/s 00:00 [####################################] 100%
      ...
(135/135) verifica delle chiavi presenti nel portachiavi     [####################################] 100%
(135/135) verifica dell'integrità dei pacchetti              [####################################] 100%
(135/135) caricamento dei file dei pacchetti                 [####################################] 100%
(135/135) controllo dei conflitti in corso                   [####################################] 100%
(135/135) controllo dello spazio disponibile sul disco       [####################################] 100%
(  1/135) installazione in corso di python-atspi             [####################################] 100%
      ...
(135/135) installazione in corso di vinagre                  [####################################] 100%
Dipendenze opzionali di vinagre
    openssh: SSH plugin [installato]